openapi: 3.0.1
info:
  title: Verifications
  description: TBD.
  version: '4'
servers:
  - url: https://try.access.worldpay.com
    description: testing (try)
  - url: https://access.worldpay.com
    description: live
paths:
  /verifications:
    get:
      tags:
        - Root
      summary: Retrieve the Verified tokens top-level collection resource.
      description: |+
        Retrieve the Verified tokens top-level collection resource.

      operationId: Verifications
      responses:
        '200':
          description: Links to next available actions.
          content:
            application/vnd.worldpay.verifications.accounts-v4.hal+json:
              schema:
                $ref: '#/components/schemas/verifications_Verifications_200_response'
              examples:
                Retrieve the Verifications top-level collection resource.:
                  description: Retrieve the Verifications top-level collection resource.
                  value:
                    _links:
                      resourceTree:
                        href: >-
                          https://try.access.worldpay.com/rels/verifications/accounts/resourceTree
                      verifications:oneTime:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/intelligent/oneTime
                        templated: true
                      verifications:cardOnFile:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/intelligent/cardOnFile
                        templated: true
                      verifications:dynamicOneTime:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/dynamic/oneTime
                        templated: true
                      verifications:dynamicCardOnFile:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/dynamic/cardOnFile
                        templated: true
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                        templated: true
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
  /verifications/accounts/verification:
    get:
      tags:
        - Verifications
      summary: Verification resource retrieval.
      description: |+
        Retrieval of a successful verification.

      operationId: Verification
      responses:
        '200':
          description: Retrieval request successful
          content:
            application/vnd.worldpay.verifications.accounts-v4.hal+json:
              schema:
                $ref: '#/components/schemas/verifications_verification_200_response'
              examples:
                Retrieval of a successful verification:
                  description: Retrieval of a successful verification
                  value:
                    outcome: verified
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Retrieval of a refused verification:
                  description: Retrieval of a refused verification
                  value:
                    outcome: not verified
                    code: '76'
                    rawCode: N7
                    description: CARD BLOCKED
                    checkedAt: '2019-11-28T12:02:49.572137Z'
                    riskFactors:
                      - risk: not_matched
                        type: cvc
                      - risk: not_matched
                        detail: postcode
                        type: avs
                      - risk: not_matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
  /verifications/accounts/intelligent/oneTime:
    post:
      tags:
        - Verification
      summary: Verifications oneTime resource.
      description: |+
        Successful account verification outcome.

      operationId: OneTime
      requestBody:
        content:
          application/vnd.worldpay.verifications.accounts-v4.hal+json:
            schema:
              $ref: '#/components/schemas/verifications_oneTime'
            examples:
              Successful account verification outcome.:
                description: Successful account verification outcome.
                value: >-
                  {"currency": "EUR","paymentInstrument": {"type":
                  "card/plain","cardHolderName": "Joe Bloggs","cardExpiryDate":
                  {"month": 1,"year": 2019},"cardNumber":
                  "4444333322221111","verificationAddress": { "address1":
                  "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"},"merchant":
                  {"entity": "default"}, "transactionReference":
                  "transactionReference"}
              Refused account verification outcome.:
                description: Refused account verification outcome.
                value: >-
                  {"currency": "EUR","paymentInstrument": {"type":
                  "card/plain","cardHolderName": "Joe Bloggs","cardExpiryDate":
                  {"month": 1,"year": 2019},"cardNumber":
                  "4444333322221111","verificationAddress": { "address1":
                  "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"},"merchant":
                  {"reference": "default"}}
              Successful dynamic MCC account verification outcome.:
                description: Successful dynamic MCC account verification outcome.
                value: >-
                  {"currency": "EUR", "paymentInstrument": { "type":
                  "card/plain", "cardHolderName": "Joe Bloggs",
                  "cardExpiryDate": { "month": 1, "year": 2019 }, "cardNumber":
                  "4444333322221111", "verificationAddress": { "address1":
                  "address1", "postalCode": "postalCode", "city": "city",
                  "countryCode": "GB" }, "cvc": "101" }, "merchant": { "entity":
                  "default", "mcc":"6012" }, "transactionReference":
                  "transactionReference"}
              Successful payment facilitator account verification outcome.:
                description: Successful payment facilitator account verification outcome.
                value: >-
                  {"currency": "EUR","paymentInstrument": {"type":
                  "card/plain","cardHolderName": "Joe Bloggs","cardExpiryDate":
                  {"month": 1,"year": 2019},"cardNumber":
                  "4444333322221111","verificationAddress": {"address1":
                  "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"},"merchant":
                  {"entity": "default","paymentFacilitator": {"pfId":
                  "12345678901","subMerchant": {"merchantId":
                  "123456789012345","name": "Example Shop","street": "123
                  Street","state": "CA","city": "San Francisco","countryCode":
                  "840","postalCode": "94101","taxId": "987-65-4321"}}},
                  "transactionReference": "transactionReference"}
              Successful account verification outcome with 3DS1 values.:
                description: Successful account verification outcome with 3DS1 values.
                value: >-
                  {"currency": "EUR","paymentInstrument": { "type":
                  "card/plain", "cardHolderName": "Joe Bloggs",
                  "cardExpiryDate": { "month": 1, "year": 2019 }, "cardNumber":
                  "4444333322221111", "verificationAddress": { "address1":
                  "address1", "postalCode": "postalCode", "city": "city",
                  "countryCode": "GB" }, "cvc": "101"},"merchant": { "entity":
                  "default"}, "transactionReference":
                  "transactionReference","customer": {"authentication": {
                  "version": "1.0.2","type": "3DS", "eci":
                  "05","authenticationValue":
                  "MTIzNDU2Nzg5MDEyMzQ1Njc4OTA=","transactionId":
                  "MTIzNDU2Nzg5MDEyMzQ1Njc4OTA="}}}
              Successful account verification outcome with 3DS2 values.:
                description: Successful account verification outcome with 3DS2 values.
                value: >-
                  {"currency": "EUR","paymentInstrument": { "type":
                  "card/plain", "cardHolderName": "Joe Bloggs",
                  "cardExpiryDate": { "month": 1, "year": 2019 }, "cardNumber":
                  "4444333322221111", "verificationAddress": { "address1":
                  "address1", "postalCode": "postalCode", "city": "city",
                  "countryCode": "GB" }, "cvc": "101"},"merchant": { "entity":
                  "default"}, "transactionReference":
                  "transactionReference","customer": {"authentication": {
                  "version": "2.1.0","type": "3DS", "eci":
                  "05","authenticationValue":
                  "MTIzNDU2Nzg5MDEyMzQ1Njc4OTA=","transactionId":
                  "683001f5-3805-423a-b580-638e4b2093b3"}}}
              Successful account verification with a token.:
                description: Successful account verification with a token.
                value: >-
                  {"currency": "EUR","paymentInstrument": { "type":
                  "card/tokenized", "href": "https://tokens/token" },"merchant":
                  {"entity": "default"}, "transactionReference":
                  "transactionReference"}
      responses:
        '201':
          description: The account verification has been successful.
          content:
            application/vnd.worldpay.verifications.accounts-v4.hal+json:
              schema:
                $ref: '#/components/schemas/verifications_oneTime_201_response'
              examples:
                Successful account verification outcome.:
                  description: Successful account verification outcome.
                  value:
                    outcome: verified
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Refused account verification outcome.:
                  description: Refused account verification outcome.
                  value:
                    outcome: not verified
                    code: '76'
                    rawCode: N7
                    description: CARD BLOCKED
                    checkedAt: '2019-11-28T12:02:49.572137Z'
                    riskFactors:
                      - risk: not_matched
                        type: cvc
                      - risk: not_matched
                        detail: postcode
                        type: avs
                      - risk: not_matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful dynamic MCC account verification outcome.:
                  description: Successful dynamic MCC account verification outcome.
                  value:
                    outcome: verified
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful payment facilitator account verification outcome.:
                  description: Successful payment facilitator account verification outcome.
                  value:
                    outcome: verified
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful account verification outcome with 3DS1 values.:
                  description: Successful account verification outcome with 3DS1 values.
                  value:
                    outcome: verified
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      payments:cardOnFileAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/cardOnFile/{resource}
                      payments:recurringAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/recurring/{resource}
                      payments:recurringSale:
                        href: >-
                          http://try.access.worldpay.com/payments/sales/recurring/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful account verification outcome with 3DS2 values.:
                  description: Successful account verification outcome with 3DS2 values.
                  value:
                    outcome: verified
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      payments:cardOnFileAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/cardOnFile/{resource}
                      payments:recurringAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/recurring/{resource}
                      payments:recurringSale:
                        href: >-
                          http://try.access.worldpay.com/payments/sales/recurring/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful account verification with a token.:
                  description: Successful account verification with a token.
                  value:
                    outcome: verified
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: not_supplied
                        type: cvc
                      - risk: not_supplied
                        detail: postcode
                        type: avs
                      - risk: not_supplied
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
  /verifications/accounts/intelligent/cardOnFile:
    post:
      tags:
        - Verification
      summary: Verifications cardOnFile resource.
      description: |+
        Successful account verification outcome.

      operationId: OneTime1
      requestBody:
        content:
          application/vnd.worldpay.verifications.accounts-v4.hal+json:
            schema:
              $ref: '#/components/schemas/verifications_cardOnFile'
            examples:
              Successful account verification outcome.:
                description: Successful account verification outcome.
                value: >-
                  {"currency": "EUR","paymentInstrument": { "type":
                  "card/plain", "cardHolderName": "Joe Bloggs",
                  "cardExpiryDate": { "month": 1, "year": 2019 }, "cardNumber":
                  "4444333322221111", "verificationAddress": { "address1":
                  "address1", "postalCode": "postalCode", "city": "city",
                  "countryCode": "GB" }, "cvc": "101"},"merchant": { "entity":
                  "default"}, "transactionReference": "transactionReference"}
              Refused account verification outcome.:
                description: Refused account verification outcome.
                value: >-
                  {"currency": "EUR","paymentInstrument": { "type":
                  "card/plain", "cardHolderName": "Joe Bloggs",
                  "cardExpiryDate": { "month": 1, "year": 2019 }, "cardNumber":
                  "4444333322221111", "verificationAddress": { "address1":
                  "address1", "address2": "address2", "address3": "address3",
                  "postalCode": "postalCode", "city": "city", "state": "state",
                  "countryCode": "GB" }, "cvc": "101"},"merchant": { "entity":
                  "default"}}
              Successful Dynamic MCC account verification outcome.:
                description: Successful Dynamic MCC account verification outcome.
                value: >-
                  {"currency": "EUR","paymentInstrument": { "type":
                  "card/plain", "cardHolderName": "Joe Bloggs",
                  "cardExpiryDate": { "month": 1, "year": 2019 }, "cardNumber":
                  "4444333322221111", "verificationAddress": { "address1":
                  "address1", "postalCode": "postalCode", "city": "city",
                  "countryCode": "GB" }, "cvc": "101"},"merchant": { "entity":
                  "default", "mcc":"6012"}, "transactionReference":
                  "transactionReference"}
              Successful account verification outcome without Payments links.:
                description: >-
                  Successful account verification outcome without Payments
                  links.
                value: >-
                  {"currency": "EUR","paymentInstrument": { "type":
                  "card/plain", "cardHolderName": "Joe Bloggs",
                  "cardExpiryDate": { "month": 1, "year": 2019 }, "cardNumber":
                  "4444333322221111", "verificationAddress": { "address1":
                  "address1", "postalCode": "postalCode", "city": "city",
                  "countryCode": "GB" }, "cvc": "101"},"merchant": { "entity":
                  "default"}, "transactionReference": "transactionReference"}
              Successful payment facilitator account verification outcome.:
                description: Successful payment facilitator account verification outcome.
                value: >-
                  {"currency": "EUR","paymentInstrument":{"type":
                  "card/plain","cardHolderName": "Joe
                  Bloggs","cardExpiryDate":{"month": 1,"year":
                  2019},"cardNumber":"4444333322221111","verificationAddress":{"address1":"address1","postalCode":"postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"},"merchant":
                  {"entity":
                  "default","paymentFacilitator":{"pfId":"12345678901","subMerchant":{"merchantId":
                  "123456789012345","name": "Example Shop","street": "123
                  Street","state": "CA","city": "San Francisco","countryCode":
                  "840","postalCode": "94101","taxId": "987-65-4321"}}},
                  "transactionReference": "transactionReference"}
              Successful account verification outcome with 3DS1 values.:
                description: Successful account verification outcome with 3DS1 values.
                value: >-
                  {"currency": "EUR","paymentInstrument": { "type":
                  "card/plain", "cardHolderName": "Joe Bloggs",
                  "cardExpiryDate": { "month": 1, "year": 2019 }, "cardNumber":
                  "4444333322221111", "verificationAddress": { "address1":
                  "address1", "postalCode": "postalCode", "city": "city",
                  "countryCode": "GB" }, "cvc": "101"},"merchant": { "entity":
                  "default"}, "transactionReference":
                  "transactionReference","customer": {"authentication":
                  {"version": "1.0.2", "type": "3DS", "eci": "05",
                  "authenticationValue": "MTIzNDU2Nzg5MDEyMzQ1Njc4OTA=",
                  "transactionId": "MTIzNDU2Nzg5MDEyMzQ1Njc4OTA="}}}
              Successful account verification outcome with 3DS2 values.:
                description: Successful account verification outcome with 3DS2 values.
                value: >-
                  {"currency": "EUR","paymentInstrument": { "type":
                  "card/plain", "cardHolderName": "Joe Bloggs",
                  "cardExpiryDate": { "month": 1, "year": 2019 }, "cardNumber":
                  "4444333322221111", "verificationAddress": { "address1":
                  "address1", "postalCode": "postalCode", "city": "city",
                  "countryCode": "GB" }, "cvc": "101"},"merchant": { "entity":
                  "default"}, "transactionReference":
                  "transactionReference","customer": {"authentication":
                  {"version": "2.1.0", "type": "3DS", "eci": "05",
                  "authenticationValue": "MTIzNDU2Nzg5MDEyMzQ1Njc4OTA=",
                  "transactionId": "683001f5-3805-423a-b580-638e4b2093b3"}}}
              Successful account verification with a token.:
                description: Successful account verification with a token.
                value: >-
                  {"currency": "EUR","paymentInstrument": { "type":
                  "card/tokenized", "href": "https://tokens/token" },"merchant":
                  { "entity": "default"}, "transactionReference":
                  "transactionReference"}
              Successful account verification with a decrypted applepay.:
                description: Successful account verification with a decrypted applepay.
                value: >-
                  {"currency": "EUR","paymentInstrument": { "type":
                  "card/networkToken+applepay", "cardHolderName": "Joe Bloggs",
                  "cardExpiryDate": { "month": 1, "year": 2019 }, "dpan":
                  "4444333322221111"},"merchant": { "entity": "default"},
                  "transactionReference": "transactionReference", "customer":
                  {"authentication": {"type": "card/networkToken", "eci": "05",
                  "authenticationValue": "MTIzNDU2Nzg5MDEyMzQ1Njc4OTA="}}}
      responses:
        '201':
          description: The account verification has been successful.
          content:
            application/vnd.worldpay.verifications.accounts-v4.hal+json:
              schema:
                $ref: '#/components/schemas/verifications_cardOnFile_201_response'
              examples:
                Successful account verification outcome.:
                  description: Successful account verification outcome.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      payments:cardOnFileAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/cardOnFile/{resource}
                      payments:recurringAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/recurring/{resource}
                      payments:recurringSale:
                        href: >-
                          http://try.access.worldpay.com/payments/sales/recurring/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Refused account verification outcome.:
                  description: Refused account verification outcome.
                  value:
                    outcome: not verified
                    code: '76'
                    rawCode: N7
                    description: CARD BLOCKED
                    checkedAt: '2019-11-28T11:46:22.107966Z'
                    riskFactors:
                      - risk: not_matched
                        type: cvc
                      - risk: not_matched
                        detail: postcode
                        type: avs
                      - risk: not_matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful Dynamic MCC account verification outcome.:
                  description: Successful Dynamic MCC account verification outcome.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      payments:cardOnFileAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/cardOnFile/{resource}
                      payments:recurringAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/recurring/{resource}
                      payments:recurringSale:
                        href: >-
                          http://try.access.worldpay.com/payments/sales/recurring/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful payment facilitator account verification outcome.:
                  description: Successful payment facilitator account verification outcome.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      payments:cardOnFileAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/cardOnFile/{resource}
                      payments:recurringAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/recurring/{resource}
                      payments:recurringSale:
                        href: >-
                          http://try.access.worldpay.com/payments/sales/recurring/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful account verification outcome with 3DS1 values.:
                  description: Successful account verification outcome with 3DS1 values.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      payments:cardOnFileAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/cardOnFile/{resource}
                      payments:recurringAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/recurring/{resource}
                      payments:recurringSale:
                        href: >-
                          http://try.access.worldpay.com/payments/sales/recurring/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful account verification outcome with 3DS2 values.:
                  description: Successful account verification outcome with 3DS2 values.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      payments:cardOnFileAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/cardOnFile/{resource}
                      payments:recurringAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/recurring/{resource}
                      payments:recurringSale:
                        href: >-
                          http://try.access.worldpay.com/payments/sales/recurring/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful account verification with a token.:
                  description: Successful account verification with a token.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: not_supplied
                        type: cvc
                      - risk: not_supplied
                        detail: postcode
                        type: avs
                      - risk: not_supplied
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      payments:cardOnFileAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/cardOnFile/{resource}
                      payments:recurringAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/recurring/{resource}
                      payments:recurringSale:
                        href: >-
                          http://try.access.worldpay.com/payments/sales/recurring/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful account verification with a decrypted applepay.:
                  description: Successful account verification with a decrypted applepay.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: not_supplied
                        type: cvc
                      - risk: not_supplied
                        detail: postcode
                        type: avs
                      - risk: not_supplied
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
        '202':
          description: The account verification has been successful.
          content:
            application/vnd.worldpay.verifications.accounts-v4.hal+json:
              schema:
                $ref: '#/components/schemas/verifications_cardOnFile_202_response'
              examples:
                Successful account verification outcome without Payments links.:
                  description: >-
                    Successful account verification outcome without Payments
                    links.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
  /verificationsaccounts//dynamic/oneTime:
    post:
      tags:
        - Verification
      summary: Verifications dynamic oneTime resource.
      description: |+
        Successful account verification outcome.

      operationId: OneTime2
      requestBody:
        content:
          application/vnd.worldpay.verifications.accounts-v4.hal+json:
            schema:
              $ref: '#/components/schemas/verifications_dynamicOneTime'
            examples:
              Successful account verification outcome.:
                description: Successful account verification outcome.
                value: >-
                  {"merchant": {"entity": "default"}, "transactionReference": 
                  "transactionReference", "instruction": {"value": {"amount":
                  100, "currency": "GBP"}, "paymentInstrument": {"type":
                  "card/plain","cardHolderName": "Joe Bloggs","cardExpiryDate":
                  {"month": 1,"year": 2019},"cardNumber":
                  "4444333322221111","verificationAddress": { "address1":
                  "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"}}}
              Refused account verification outcome.:
                description: Refused account verification outcome.
                value: >-
                  {"merchant": {"entity": "default"}, "transactionReference": 
                  "transactionReference", "instruction": {"value": {"amount":
                  100, "currency": "GBP"}, "paymentInstrument": {"type":
                  "card/plain","cardHolderName": "Joe Bloggs","cardExpiryDate":
                  {"month": 1,"year": 2019},"cardNumber":
                  "4444333322221111","verificationAddress": { "address1":
                  "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"}}}
              Successful dynamic MCC account verification outcome.:
                description: Successful dynamic MCC account verification outcome.
                value: >-
                  {"merchant": {"entity": "default", "mcc":"6012"},
                  "transactionReference":  "transactionReference",
                  "instruction": {"value": {"amount": 100, "currency": "GBP"},
                  "paymentInstrument": {"type": "card/plain","cardHolderName":
                  "Joe Bloggs","cardExpiryDate": {"month": 1,"year":
                  2019},"cardNumber": "4444333322221111","verificationAddress":
                  { "address1": "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"}}}
              Successful payment facilitator account verification outcome.:
                description: Successful payment facilitator account verification outcome.
                value: >-
                  {"merchant": {"entity":
                  "default","paymentFacilitator":{"pfId":"12345678901","subMerchant":{"merchantId":
                  "123456789012345","name": "Example Shop","street": "123
                  Street","state": "CA","city": "San Francisco","countryCode":
                  "840","postalCode": "94101","taxId": "987-65-4321"}}},
                  "transactionReference":  "transactionReference",
                  "instruction": {"value": {"amount": 100, "currency": "GBP"},
                  "paymentInstrument": {"type": "card/plain","cardHolderName":
                  "Joe Bloggs","cardExpiryDate": {"month": 1,"year":
                  2019},"cardNumber": "4444333322221111","verificationAddress":
                  { "address1": "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"}}}
              Successful account verification outcome with 3DS1 values.:
                description: Successful account verification outcome with 3DS1 values.
                value: >-
                  {"merchant": {"entity": "default"}, "transactionReference": 
                  "transactionReference", "instruction": {"value": {"amount":
                  100, "currency": "GBP"}, "paymentInstrument": {"type":
                  "card/plain","cardHolderName": "Joe Bloggs","cardExpiryDate":
                  {"month": 1,"year": 2019},"cardNumber":
                  "4444333322221111","verificationAddress": { "address1":
                  "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"}}, "customer":
                  {"authentication": { "version": "1.0.2","type": "3DS", "eci":
                  "05","authenticationValue":
                  "MTIzNDU2Nzg5MDEyMzQ1Njc4OTA=","transactionId":
                  "MTIzNDU2Nzg5MDEyMzQ1Njc4OTA="}}}
              Successful account verification outcome with 3DS2 values.:
                description: Successful account verification outcome with 3DS2 values.
                value: >-
                  {"merchant": {"entity": "default"}, "transactionReference": 
                  "transactionReference", "instruction": {"value": {"amount":
                  100, "currency": "GBP"}, "paymentInstrument": {"type":
                  "card/plain","cardHolderName": "Joe Bloggs","cardExpiryDate":
                  {"month": 1,"year": 2019},"cardNumber":
                  "4444333322221111","verificationAddress": { "address1":
                  "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"}}, "customer":
                  {"authentication": { "version": "2.1.0","type": "3DS", "eci":
                  "05","authenticationValue":
                  "MTIzNDU2Nzg5MDEyMzQ1Njc4OTA=","transactionId":
                  "683001f5-3805-423a-b580-638e4b2093b3"}}}
              Successful account verification with a token.:
                description: Successful account verification with a token.
                value: >-
                  {"merchant": {"entity": "default"}, "transactionReference": 
                  "transactionReference", "instruction": {"value": {"amount":
                  100, "currency": "GBP"}, "paymentInstrument": { "type":
                  "card/tokenized", "href": "https://tokens/token" }}}
      responses:
        '201':
          description: The account verification has been successful.
          content:
            application/vnd.worldpay.verifications.accounts-v4.hal+json:
              schema:
                $ref: '#/components/schemas/verifications_dynamicOneTime_201_response'
              examples:
                Successful account verification outcome.:
                  description: Successful account verification outcome.
                  value:
                    outcome: verified
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Refused account verification outcome.:
                  description: Refused account verification outcome.
                  value:
                    outcome: not verified
                    code: '76'
                    rawCode: N7
                    description: CARD BLOCKED
                    checkedAt: '2019-11-28T10:37:12.660375Z'
                    riskFactors:
                      - risk: not_matched
                        type: cvc
                      - risk: not_matched
                        detail: postcode
                        type: avs
                      - risk: not_matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful dynamic MCC account verification outcome.:
                  description: Successful dynamic MCC account verification outcome.
                  value:
                    outcome: verified
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful payment facilitator account verification outcome.:
                  description: Successful payment facilitator account verification outcome.
                  value:
                    outcome: verified
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful account verification outcome with 3DS1 values.:
                  description: Successful account verification outcome with 3DS1 values.
                  value:
                    outcome: verified
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful account verification outcome with 3DS2 values.:
                  description: Successful account verification outcome with 3DS2 values.
                  value:
                    outcome: verified
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful account verification with a token.:
                  description: Successful account verification with a token.
                  value:
                    outcome: verified
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: not_supplied
                        type: cvc
                      - risk: not_supplied
                        detail: postcode
                        type: avs
                      - risk: not_supplied
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
  /verificationsaccounts/dynamic/cardOnFile:
    post:
      tags:
        - Verification
      summary: Verifications dynamic oneTime resource.
      description: |+
        Successful account verification outcome.

      operationId: cardOnFile
      requestBody:
        content:
          application/vnd.worldpay.verifications.accounts-v4.hal+json:
            schema:
              $ref: '#/components/schemas/verifications_dynamicCardOnFile'
            examples:
              Successful account verification outcome.:
                description: Successful account verification outcome.
                value: >-
                  {"merchant": {"entity": "default"}, "transactionReference": 
                  "transactionReference", "instruction": {"value": {"amount":
                  100, "currency": "GBP"}, "paymentInstrument": {"type":
                  "card/plain","cardHolderName": "Joe Bloggs","cardExpiryDate":
                  {"month": 1,"year": 2019},"cardNumber":
                  "4444333322221111","verificationAddress": { "address1":
                  "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"}}}
              Refused account verification outcome.:
                description: Refused account verification outcome.
                value: >-
                  {"merchant": {"entity": "default"}, "transactionReference": 
                  "transactionReference", "instruction": {"value": {"amount":
                  100, "currency": "GBP"}, "paymentInstrument": {"type":
                  "card/plain","cardHolderName": "Joe Bloggs","cardExpiryDate":
                  {"month": 1,"year": 2019},"cardNumber":
                  "4444333322221111","verificationAddress": { "address1":
                  "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"}}}
              Successful Dynamic MCC account verification outcome.:
                description: Successful Dynamic MCC account verification outcome.
                value: >-
                  {"merchant": {"entity": "default", "mcc":"6012"},
                  "transactionReference":  "transactionReference",
                  "instruction": {"value": {"amount": 100, "currency": "GBP"},
                  "paymentInstrument": {"type": "card/plain","cardHolderName":
                  "Joe Bloggs","cardExpiryDate": {"month": 1,"year":
                  2019},"cardNumber": "4444333322221111","verificationAddress":
                  { "address1": "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"}}}
              Successful account verification outcome without Payments links.:
                description: >-
                  Successful account verification outcome without Payments
                  links.
                value: >-
                  {"merchant": {"entity": "default"}, "transactionReference": 
                  "transactionReference", "instruction": {"value": {"amount":
                  100, "currency": "GBP"}, "paymentInstrument": {"type":
                  "card/plain","cardHolderName": "Joe Bloggs","cardExpiryDate":
                  {"month": 1,"year": 2019},"cardNumber":
                  "4444333322221111","verificationAddress": { "address1":
                  "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"}}}
              Successful payment facilitator account verification outcome.:
                description: Successful payment facilitator account verification outcome.
                value: >-
                  {"merchant": {"entity":
                  "default","paymentFacilitator":{"pfId":"12345678901","subMerchant":{"merchantId":
                  "123456789012345","name": "Example Shop","street": "123
                  Street","state": "CA","city": "San Francisco","countryCode":
                  "840","postalCode": "94101","taxId": "987-65-4321"}}},
                  "transactionReference": "transactionReference", "instruction":
                  {"value": {"amount": 100, "currency": "GBP"},
                  "paymentInstrument": {"type": "card/plain","cardHolderName":
                  "Joe Bloggs","cardExpiryDate": {"month": 1,"year":
                  2019},"cardNumber": "4444333322221111","verificationAddress":
                  { "address1": "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"}}}
              Successful account verification outcome with 3DS1 values.:
                description: Successful account verification outcome with 3DS1 values.
                value: >-
                  {"merchant": {"entity": "default"}, "transactionReference": 
                  "transactionReference", "instruction": {"value": {"amount":
                  100, "currency": "GBP"}, "paymentInstrument": {"type":
                  "card/plain","cardHolderName": "Joe Bloggs","cardExpiryDate":
                  {"month": 1,"year": 2019},"cardNumber":
                  "4444333322221111","verificationAddress": { "address1":
                  "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"}}, "customer":
                  {"authentication": {"version": "1.0.2", "type": "3DS", "eci":
                  "05", "authenticationValue": "MTIzNDU2Nzg5MDEyMzQ1Njc4OTA=",
                  "transactionId": "MTIzNDU2Nzg5MDEyMzQ1Njc4OTA="}}}
              Successful account verification outcome with 3DS2 values.:
                description: Successful account verification outcome with 3DS2 values.
                value: >-
                  {"merchant": {"entity": "default"}, "transactionReference": 
                  "transactionReference", "instruction": {"value": {"amount":
                  100, "currency": "GBP"}, "paymentInstrument": {"type":
                  "card/plain","cardHolderName": "Joe Bloggs","cardExpiryDate":
                  {"month": 1,"year": 2019},"cardNumber":
                  "4444333322221111","verificationAddress": { "address1":
                  "address1","postalCode": "postalCode","city":
                  "city","countryCode": "GB"},"cvc": "101"}}, "customer":
                  {"authentication": {"version": "2.1.0", "type": "3DS", "eci":
                  "05", "authenticationValue": "MTIzNDU2Nzg5MDEyMzQ1Njc4OTA=",
                  "transactionId": "683001f5-3805-423a-b580-638e4b2093b3"}}}
              Successful account verification with a token.:
                description: Successful account verification with a token.
                value: >-
                  {"merchant": {"entity": "default"}, "transactionReference":
                  "transactionReference", "instruction": {"value": {"amount":
                  100, "currency": "GBP"}, "paymentInstrument": { "type":
                  "card/tokenized", "href": "https://tokens/token" }}}
              Successful account verification with a decrypted applepay.:
                description: Successful account verification with a decrypted applepay.
                value: >-
                  {"merchant": {"entity": "default"}, "transactionReference":
                  "transactionReference", "instruction": {"value": {"amount":
                  100, "currency": "GBP"}, "paymentInstrument": { "type":
                  "card/networkToken+applepay","cardHolderName": "Joe
                  Bloggs","cardExpiryDate": {"month": 1,"year": 2019},"dpan":
                  "4444333322221111" }}, "customer": {"authentication": {
                  "type": "card/networkToken", "eci": "05",
                  "authenticationValue": "MTIzNDU2Nzg5MDEyMzQ1Njc4OTA=" }}}
      responses:
        '201':
          description: The account verification has been successful.
          content:
            application/vnd.worldpay.verifications.accounts-v4.hal+json:
              schema:
                $ref: >-
                  #/components/schemas/verifications_dynamicCardOnFile_201_response
              examples:
                Successful account verification outcome.:
                  description: Successful account verification outcome.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      payments:cardOnFileAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/cardOnFile/{resource}
                      payments:recurringAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/recurring/{resource}
                      payments:recurringSale:
                        href: >-
                          http://try.access.worldpay.com/payments/sales/recurring/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Refused account verification outcome.:
                  description: Refused account verification outcome.
                  value:
                    outcome: not verified
                    code: '76'
                    rawCode: N7
                    description: CARD BLOCKED
                    checkedAt: '2019-11-26T16:36:53.182Z'
                    riskFactors:
                      - risk: not_matched
                        type: cvc
                      - risk: not_matched
                        detail: postcode
                        type: avs
                      - risk: not_matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful Dynamic MCC account verification outcome.:
                  description: Successful Dynamic MCC account verification outcome.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      payments:cardOnFileAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/cardOnFile/{resource}
                      payments:recurringAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/recurring/{resource}
                      payments:recurringSale:
                        href: >-
                          http://try.access.worldpay.com/payments/sales/recurring/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful payment facilitator account verification outcome.:
                  description: Successful payment facilitator account verification outcome.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      payments:cardOnFileAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/cardOnFile/{resource}
                      payments:recurringAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/recurring/{resource}
                      payments:recurringSale:
                        href: >-
                          http://try.access.worldpay.com/payments/sales/recurring/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful account verification outcome with 3DS1 values.:
                  description: Successful account verification outcome with 3DS1 values.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      payments:cardOnFileAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/cardOnFile/{resource}
                      payments:recurringAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/recurring/{resource}
                      payments:recurringSale:
                        href: >-
                          http://try.access.worldpay.com/payments/sales/recurring/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful account verification outcome with 3DS2 values.:
                  description: Successful account verification outcome with 3DS2 values.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      payments:cardOnFileAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/cardOnFile/{resource}
                      payments:recurringAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/recurring/{resource}
                      payments:recurringSale:
                        href: >-
                          http://try.access.worldpay.com/payments/sales/recurring/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful account verification with a token.:
                  description: Successful account verification with a token.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: not_supplied
                        type: cvc
                      - risk: not_supplied
                        detail: postcode
                        type: avs
                      - risk: not_supplied
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      payments:cardOnFileAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/cardOnFile/{resource}
                      payments:recurringAuthorize:
                        href: >-
                          http://try.access.worldpay.com/payments/authorizations/recurring/{resource}
                      payments:recurringSale:
                        href: >-
                          http://try.access.worldpay.com/payments/sales/recurring/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
                Successful account verification with a decrypted applepay.:
                  description: Successful account verification with a decrypted applepay.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: not_supplied
                        type: cvc
                      - risk: not_supplied
                        detail: postcode
                        type: avs
                      - risk: not_supplied
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
        '202':
          description: The account verification has been successful.
          content:
            application/vnd.worldpay.verifications.accounts-v4.hal+json:
              schema:
                $ref: >-
                  #/components/schemas/verifications_dynamicCardOnFile_202_response
              examples:
                Successful account verification outcome without Payments links.:
                  description: >-
                    Successful account verification outcome without Payments
                    links.
                  value:
                    outcome: verified
                    schemeTransactionReference: '00000000000000000'
                    checkedAt: '2018-09-01T10:37:36.923Z'
                    riskFactors:
                      - risk: matched
                        type: cvc
                      - risk: matched
                        detail: postcode
                        type: avs
                      - risk: matched
                        detail: address
                        type: avs
                    paymentInstrument:
                      type: card/plain
                      card:
                        number:
                          bin: '444433'
                          last4Digits: '1111'
                        countryCode: GB
                        expiryDate:
                          month: 12
                          year: 2029
                        brand: visa
                        fundingType: debit
                        issuer:
                          name: cardIssuer
                        category: consumer
                        paymentAccountReference: reference
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/{resource}
                      curies:
                        - name: verifications
                          href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}
                          templated: true
components:
  schemas:
    verifications_Verifications_200_response:
      required:
        - _links
      type: object
    verifications_verification_200_response:
      required:
        - outcome
        - checkedAt
        - _links
      type: object
      properties:
        outcome:
          type: string
        checkedAt:
          type: string
        riskFactors:
          required:
            - risk
            - type
          type: array
          items:
            required:
              - risk
              - type
            type: object
            properties:
              risk:
                type: string
              detail:
                type: string
              type:
                type: string
        paymentInstrument:
          required:
            - type
          type: object
          properties:
            type:
              type: string
            card:
              type: object
              properties:
                number:
                  required:
                    - bin
                    - last4Digits
                  type: object
                  properties:
                    bin:
                      type: string
                    last4Digits:
                      type: string
                countryCode:
                  type: string
                expiryDate:
                  required:
                    - month
                    - year
                  type: object
                  properties:
                    month:
                      type: integer
                    year:
                      type: integer
                brand:
                  type: string
                fundingType:
                  type: string
                issuer:
                  required:
                    - name
                  type: object
                  properties:
                    name:
                      type: string
                category:
                  type: string
                paymentAccountReference:
                  type: string
    _1:
      required:
        - type
        - cardHolderName
        - cardExpiryDate
        - cardNumber
      type: object
      properties:
        type:
          type: string
        cardHolderName:
          type: string
        cardExpiryDate:
          required:
            - month
            - year
          type: object
          properties:
            month:
              type: integer
            year:
              type: integer
        cardNumber:
          type: string
        verificationAddress:
          required:
            - postalCode
            - city
            - countryCode
          type: object
          properties:
            address1:
              type: string
            postalCode:
              type: string
            city:
              type: string
            countryCode:
              type: string
        cvc:
          type: string
    _2:
      required:
        - type
        - href
      type: object
      properties:
        type:
          type: string
        href:
          type: string
    verifications_oneTime:
      required:
        - merchant
        - currency
        - paymentInstrument
        - transactionReference
      type: object
      properties:
        merchant:
          required:
            - entity
          type: object
          properties:
            entity:
              type: string
            mcc:
              type: string
            paymentFacilitator:
              required:
                - pfId
                - subMerchant
              type: object
              properties:
                pfId:
                  type: string
                isoId:
                  type: string
                subMerchant:
                  required:
                    - merchantId
                    - name
                    - street
                    - city
                    - countryCode
                    - postalCode
                  type: object
                  properties:
                    merchantId:
                      type: string
                    name:
                      type: string
                    street:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    countryCode:
                      type: string
                    postalCode:
                      type: string
                    taxId:
                      type: string
                    telephone:
                      type: string
                    email:
                      type: string
        currency:
          type: string
        paymentInstrument:
          oneOf:
            - $ref: '#/components/schemas/_1'
            - $ref: '#/components/schemas/_2'
          discriminator:
            propertyName: type
        transactionReference:
          type: string
        customer:
          required:
            - authentication
          type: object
          properties:
            authentication:
              required:
                - version
                - type
                - eci
              type: object
              properties:
                version:
                  type: string
                type:
                  type: string
                eci:
                  type: string
                authenticationValue:
                  type: string
                transactionId:
                  type: string
    verifications_oneTime_201_response:
      required:
        - outcome
        - checkedAt
        - _links
      type: object
      properties:
        outcome:
          type: string
        checkedAt:
          type: string
        riskFactors:
          required:
            - risk
            - type
          type: array
          items:
            required:
              - risk
              - type
            type: object
            properties:
              risk:
                type: string
              detail:
                type: string
              type:
                type: string
        paymentInstrument:
          required:
            - type
          type: object
          properties:
            type:
              type: string
            card:
              type: object
              properties:
                number:
                  required:
                    - bin
                    - last4Digits
                  type: object
                  properties:
                    bin:
                      type: string
                    last4Digits:
                      type: string
                countryCode:
                  type: string
                expiryDate:
                  required:
                    - month
                    - year
                  type: object
                  properties:
                    month:
                      type: integer
                    year:
                      type: integer
                brand:
                  type: string
                fundingType:
                  type: string
                issuer:
                  required:
                    - name
                  type: object
                  properties:
                    name:
                      type: string
                category:
                  type: string
                paymentAccountReference:
                  type: string
    _3:
      required:
        - type
        - cardHolderName
        - cardExpiryDate
        - cardNumber
      type: object
      properties:
        type:
          type: string
        cardHolderName:
          type: string
        cardExpiryDate:
          required:
            - month
            - year
          type: object
          properties:
            month:
              type: integer
            year:
              type: integer
        cardNumber:
          type: string
        verificationAddress:
          required:
            - postalCode
            - city
            - countryCode
          type: object
          properties:
            address1:
              type: string
            postalCode:
              type: string
            city:
              type: string
            countryCode:
              type: string
        cvc:
          type: string
    _4:
      required:
        - type
        - href
      type: object
      properties:
        type:
          type: string
        href:
          type: string
    _5:
      required:
        - type
        - cardholderName
        - cardExpirtyDate
        - dpan
      type: object
      properties:
        type:
          type: string
        cardHolderName:
          type: string
        cardExpiryDate:
          required:
            - month
            - year
          type: object
          properties:
            month:
              type: integer
            year:
              type: integer
        dpan:
          type: string
    _6:
      required:
        - version
        - type
        - eci
      type: object
      properties:
        version:
          type: string
        type:
          type: string
        eci:
          type: string
        authenticationValue:
          type: string
        transactionId:
          type: string
    _7:
      required:
        - type
        - authenticationValue
      type: object
      properties:
        type:
          type: string
        eci:
          type: string
        authenticationValue:
          type: string
    verifications_cardOnFile:
      required:
        - merchant
        - currency
        - paymentInstrument
        - transactionReference
      type: object
      properties:
        merchant:
          required:
            - entity
          type: object
          properties:
            entity:
              type: string
            mcc:
              type: string
            paymentFacilitator:
              required:
                - pfId
                - subMerchant
              type: object
              properties:
                pfId:
                  type: string
                isoId:
                  type: string
                subMerchant:
                  required:
                    - merchantId
                    - name
                    - street
                    - city
                    - countryCode
                    - postalCode
                  type: object
                  properties:
                    merchantId:
                      type: string
                    name:
                      type: string
                    street:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    countryCode:
                      type: string
                    postalCode:
                      type: string
                    taxId:
                      type: string
                    telephone:
                      type: string
                    email:
                      type: string
        currency:
          type: string
        paymentInstrument:
          oneOf:
            - $ref: '#/components/schemas/_3'
            - $ref: '#/components/schemas/_4'
            - $ref: '#/components/schemas/_5'
          discriminator:
            propertyName: type
        transactionReference:
          type: string
        customer:
          required:
            - authentication
          type: object
          properties:
            authentication:
              oneOf:
                - $ref: '#/components/schemas/_6'
                - $ref: '#/components/schemas/_7'
              discriminator:
                propertyName: type
    verifications_cardOnFile_201_response:
      required:
        - outcome
        - checkedAt
        - _links
      type: object
      properties:
        outcome:
          type: string
        schemeTransactionReference:
          type: string
        checkedAt:
          type: string
        riskFactors:
          required:
            - risk
            - type
          type: array
          items:
            required:
              - risk
              - type
            type: object
            properties:
              risk:
                type: string
              detail:
                type: string
              type:
                type: string
        paymentInstrument:
          required:
            - type
          type: object
          properties:
            type:
              type: string
            card:
              type: object
              properties:
                number:
                  required:
                    - bin
                    - last4Digits
                  type: object
                  properties:
                    bin:
                      type: string
                    last4Digits:
                      type: string
                countryCode:
                  type: string
                expiryDate:
                  required:
                    - month
                    - year
                  type: object
                  properties:
                    month:
                      type: integer
                    year:
                      type: integer
                brand:
                  type: string
                fundingType:
                  type: string
                issuer:
                  required:
                    - name
                  type: object
                  properties:
                    name:
                      type: string
                category:
                  type: string
                paymentAccountReference:
                  type: string
    verifications_cardOnFile_202_response:
      required:
        - outcome
        - checkedAt
        - _links
      type: object
      properties:
        outcome:
          type: string
        schemeTransactionReference:
          type: string
        checkedAt:
          type: string
        riskFactors:
          required:
            - risk
            - type
          type: array
          items:
            required:
              - risk
              - type
            type: object
            properties:
              risk:
                type: string
              detail:
                type: string
              type:
                type: string
        paymentInstrument:
          required:
            - type
          type: object
          properties:
            type:
              type: string
            card:
              type: object
              properties:
                number:
                  required:
                    - bin
                    - last4Digits
                  type: object
                  properties:
                    bin:
                      type: string
                    last4Digits:
                      type: string
                countryCode:
                  type: string
                expiryDate:
                  required:
                    - month
                    - year
                  type: object
                  properties:
                    month:
                      type: integer
                    year:
                      type: integer
                brand:
                  type: string
                fundingType:
                  type: string
                issuer:
                  required:
                    - name
                  type: object
                  properties:
                    name:
                      type: string
                category:
                  type: string
                paymentAccountReference:
                  type: string
    _8:
      required:
        - type
        - cardHolderName
        - cardExpiryDate
        - cardNumber
      type: object
      properties:
        type:
          type: string
        cardHolderName:
          type: string
        cardExpiryDate:
          required:
            - month
            - year
          type: object
          properties:
            month:
              type: integer
            year:
              type: integer
        cardNumber:
          type: string
        verificationAddress:
          required:
            - postalCode
            - city
            - countryCode
          type: object
          properties:
            address1:
              type: string
            postalCode:
              type: string
            city:
              type: string
            countryCode:
              type: string
        cvc:
          type: string
    _9:
      required:
        - type
        - href
      type: object
      properties:
        type:
          type: string
        href:
          type: string
    verifications_dynamicOneTime:
      required:
        - merchant
        - transactionReference
        - instruction
      type: object
      properties:
        merchant:
          required:
            - entity
          type: object
          properties:
            entity:
              type: string
            mcc:
              type: string
            paymentFacilitator:
              required:
                - pfId
                - subMerchant
              type: object
              properties:
                pfId:
                  type: string
                isoId:
                  type: string
                subMerchant:
                  required:
                    - merchantId
                    - name
                    - street
                    - city
                    - countryCode
                    - postalCode
                  type: object
                  properties:
                    merchantId:
                      type: string
                    name:
                      type: string
                    street:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    countryCode:
                      type: string
                    postalCode:
                      type: string
                    taxId:
                      type: string
                    telephone:
                      type: string
                    email:
                      type: string
        instruction:
          required:
            - value
            - paymentInstrument
          type: object
          properties:
            value:
              required:
                - amount
                - currency
              type: object
              properties:
                amount:
                  type: string
                currency:
                  type: string
            paymentInstrument:
              oneOf:
                - $ref: '#/components/schemas/_8'
                - $ref: '#/components/schemas/_9'
              discriminator:
                propertyName: type
        transactionReference:
          type: string
        customer:
          required:
            - authentication
          type: object
          properties:
            authentication:
              required:
                - version
                - type
                - eci
              type: object
              properties:
                version:
                  type: string
                type:
                  type: string
                eci:
                  type: string
                authenticationValue:
                  type: string
                transactionId:
                  type: string
    verifications_dynamicOneTime_201_response:
      required:
        - outcome
        - checkedAt
        - _links
      type: object
      properties:
        outcome:
          type: string
        checkedAt:
          type: string
        riskFactors:
          required:
            - risk
            - type
          type: array
          items:
            required:
              - risk
              - type
            type: object
            properties:
              risk:
                type: string
              detail:
                type: string
              type:
                type: string
        paymentInstrument:
          required:
            - type
          type: object
          properties:
            type:
              type: string
            card:
              type: object
              properties:
                number:
                  required:
                    - bin
                    - last4Digits
                  type: object
                  properties:
                    bin:
                      type: string
                    last4Digits:
                      type: string
                countryCode:
                  type: string
                expiryDate:
                  required:
                    - month
                    - year
                  type: object
                  properties:
                    month:
                      type: integer
                    year:
                      type: integer
                brand:
                  type: string
                fundingType:
                  type: string
                issuer:
                  required:
                    - name
                  type: object
                  properties:
                    name:
                      type: string
                category:
                  type: string
                paymentAccountReference:
                  type: string
    _10:
      required:
        - type
        - cardHolderName
        - cardExpiryDate
        - cardNumber
      type: object
      properties:
        type:
          type: string
        cardHolderName:
          type: string
        cardExpiryDate:
          required:
            - month
            - year
          type: object
          properties:
            month:
              type: integer
            year:
              type: integer
        cardNumber:
          type: string
        verificationAddress:
          required:
            - postalCode
            - city
            - countryCode
          type: object
          properties:
            address1:
              type: string
            postalCode:
              type: string
            city:
              type: string
            countryCode:
              type: string
        cvc:
          type: string
    _11:
      required:
        - type
        - href
      type: object
      properties:
        type:
          type: string
        href:
          type: string
    _12:
      required:
        - type
        - cardholderName
        - cardExpirtyDate
        - dpan
      type: object
      properties:
        type:
          type: string
        cardHolderName:
          type: string
        cardExpiryDate:
          required:
            - month
            - year
          type: object
          properties:
            month:
              type: integer
            year:
              type: integer
        dpan:
          type: string
    _13:
      required:
        - version
        - type
        - eci
      type: object
      properties:
        version:
          type: string
        type:
          type: string
        eci:
          type: string
        authenticationValue:
          type: string
        transactionId:
          type: string
    _14:
      required:
        - type
        - authenticationValue
      type: object
      properties:
        type:
          type: string
        eci:
          type: string
        authenticationValue:
          type: string
    verifications_dynamicCardOnFile:
      required:
        - merchant
        - transactionReference
        - instruction
      type: object
      properties:
        merchant:
          required:
            - entity
          type: object
          properties:
            entity:
              type: string
            mcc:
              type: string
            paymentFacilitator:
              required:
                - pfId
                - subMerchant
              type: object
              properties:
                pfId:
                  type: string
                isoId:
                  type: string
                subMerchant:
                  required:
                    - merchantId
                    - name
                    - street
                    - city
                    - countryCode
                    - postalCode
                  type: object
                  properties:
                    merchantId:
                      type: string
                    name:
                      type: string
                    street:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    countryCode:
                      type: string
                    postalCode:
                      type: string
                    taxId:
                      type: string
                    telephone:
                      type: string
                    email:
                      type: string
        instruction:
          required:
            - value
            - paymentInstrument
          type: object
          properties:
            value:
              required:
                - amount
                - currency
              type: object
              properties:
                amount:
                  type: string
                currency:
                  type: string
            paymentInstrument:
              oneOf:
                - $ref: '#/components/schemas/_10'
                - $ref: '#/components/schemas/_11'
                - $ref: '#/components/schemas/_12'
              discriminator:
                propertyName: type
        transactionReference:
          type: string
        customer:
          required:
            - authentication
          type: object
          properties:
            authentication:
              oneOf:
                - $ref: '#/components/schemas/_13'
                - $ref: '#/components/schemas/_14'
              discriminator:
                propertyName: type
    verifications_dynamicCardOnFile_201_response:
      required:
        - outcome
        - checkedAt
        - _links
      type: object
      properties:
        outcome:
          type: string
        schemeTransactionReference:
          type: string
        checkedAt:
          type: string
        riskFactors:
          required:
            - risk
            - type
          type: array
          items:
            required:
              - risk
              - type
            type: object
            properties:
              risk:
                type: string
              detail:
                type: string
              type:
                type: string
        paymentInstrument:
          required:
            - type
          type: object
          properties:
            type:
              type: string
            card:
              type: object
              properties:
                number:
                  required:
                    - bin
                    - last4Digits
                  type: object
                  properties:
                    bin:
                      type: string
                    last4Digits:
                      type: string
                countryCode:
                  type: string
                expiryDate:
                  required:
                    - month
                    - year
                  type: object
                  properties:
                    month:
                      type: integer
                    year:
                      type: integer
                brand:
                  type: string
                fundingType:
                  type: string
                issuer:
                  required:
                    - name
                  type: object
                  properties:
                    name:
                      type: string
                category:
                  type: string
                paymentAccountReference:
                  type: string
    verifications_dynamicCardOnFile_202_response:
      required:
        - outcome
        - checkedAt
        - _links
      type: object
      properties:
        outcome:
          type: string
        schemeTransactionReference:
          type: string
        checkedAt:
          type: string
        riskFactors:
          required:
            - risk
            - type
          type: array
          items:
            required:
              - risk
              - type
            type: object
            properties:
              risk:
                type: string
              detail:
                type: string
              type:
                type: string
        paymentInstrument:
          required:
            - type
          type: object
          properties:
            type:
              type: string
            card:
              type: object
              properties:
                number:
                  required:
                    - bin
                    - last4Digits
                  type: object
                  properties:
                    bin:
                      type: string
                    last4Digits:
                      type: string
                countryCode:
                  type: string
                expiryDate:
                  required:
                    - month
                    - year
                  type: object
                  properties:
                    month:
                      type: integer
                    year:
                      type: integer
                brand:
                  type: string
                fundingType:
                  type: string
                issuer:
                  required:
                    - name
                  type: object
                  properties:
                    name:
                      type: string
                category:
                  type: string
                paymentAccountReference:
                  type: string
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
security:
  - BasicAuth: []
tags:
  - name: Root
    description: >-
      Verifications root resource, returns links to available Account
      Verifications actions.
  - name: Verifications
    description: >-
      Verify tokens root resource, returns links to available verifiedTokens
      actions.
  - name: Verification
    description: >-
      Verify tokens root resource, returns links to available verifiedTokens
      actions.
